## monodevelop 3.0.3.2+dfsg

=== po/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# po/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/monodevelop
pkgincludedir = $(includedir)/monodevelop
pkglibdir = $(libdir)/monodevelop
pkglibexecdir = $(libexecdir)/monodevelop
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.include ChangeLog
subdir = po
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/missing --run aclocal-1.11
ACLOCAL_FLAGS = 
ALL_LINGUAS = cs da de es fr ja pt_BR tr pl it zh_TW zh_CN ru sl ca gl pt sv nl id hu
AMTAR = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/missing --run tar
ASSEMBLY_VERSION = 3.0.0.0
AUTOCONF = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/missing --run autoconf
AUTOHEADER = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/missing --run autoheader
AUTOMAKE = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/missing --run automake-1.11
AWK = gawk
CSC = /usr/bin/dmcs
CSC_FLAGS = -debug -codepage:utf8
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"monodevelop\" -DPACKAGE_TARNAME=\"monodevelop\" -DPACKAGE_VERSION=\"3.0.3.2\" -DPACKAGE_STRING=\"monodevelop\ 3.0.3.2\" -DPACKAGE_BUGREPORT=\"monodevelop-list@lists.ximian.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"monodevelop\" -DVERSION=\"3.0.3.2\" -DGETTEXT_PACKAGE=\"monodevelop\"
DYLD_FALLBACK_LIBRARY_PATH = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
GCONF_SHARP_CFLAGS =  
GCONF_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gconf-sharp.dll  
GETTEXT_PACKAGE = monodevelop
GLADE_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glade-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLADE_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GLIB_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLIB_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/art-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GNOME_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/art-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_VFS_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml  
GNOME_VFS_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll  
GTK_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GTK_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD_LIBRARY_PATH = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/install/lib
LIBOBJS = 
LIBS = 
LIB_PREFIX = .so
LIB_SUFFIX = 
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/missing --run makeinfo
MCS = /usr/bin/gmcs
MD_ADDIN_DIR = $(prefix)/lib/monodevelop/AddIns
MD_ASSEMBLY_DIR = $(prefix)/lib/monodevelop/bin
MD_DIR = $(prefix)/lib/monodevelop
MKDIR_P = /bin/mkdir -p
MONO = /usr/bin/mono
MONODOC_CFLAGS =  
MONODOC_LIBS = /r:/usr/lib/mono/monodoc/monodoc.dll  
MONO_ADDINS_CFLAGS =  
MONO_ADDINS_GUI_CFLAGS =  
MONO_ADDINS_GUI_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.Gui.dll -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_ADDINS_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_ADDINS_SETUP_CFLAGS =  
MONO_ADDINS_SETUP_LIBS = -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.Setup.dll -r:/usr/share/pkgconfig/../../lib/mono/mono-addins/Mono.Addins.dll  
MONO_GAC_PREFIX = /usr/local:
MONO_NUNIT_CFLAGS = 
MONO_NUNIT_LIBS = 
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
PACKAGE = monodevelop
PACKAGE_BUGREPORT = monodevelop-list@lists.ximian.com
PACKAGE_NAME = monodevelop
PACKAGE_STRING = monodevelop 3.0.3.2
PACKAGE_TARNAME = monodevelop
PACKAGE_URL = 
PACKAGE_VERSION = 3.0.3.2
PACKAGE_VERSION_LABEL = 3.0.3.2
PATH = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/install/bin:/usr/bin:/bin
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/local-config:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/install/lib/pkgconfig
RUNTIME = /usr/bin/mono
SET_MAKE = 
SHELL = /bin/sh
SQLITE_XML = 
STRIP = 
UNMANAGED_DEPENDENCIES_MONO_CFLAGS =  
UNMANAGED_DEPENDENCIES_MONO_LIBS =  
UPDATE_DESKTOP_DB = 
UPDATE_MIME_DB = /usr/bin/update-mime-database
VERSION = 3.0.3.2
abs_builddir = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/po
abs_srcdir = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/po
abs_top_builddir = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main
abs_top_srcdir = /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main
am__leading_dot = .
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gtksharp_prefix = /usr/lib/pkgconfig/../..
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/builder/data/lanes/monodevelop-linux-3.0.3.2/7bf6ac0c/source/monodevelop/main/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
LC_BUILD = $(top_builddir)/build/locale
#old automake versions don't set datarootdir or localedir
INSTALL_DIR = $(DESTDIR)$(prefix)/share/locale
FILES = $(addsuffix .po, $(ALL_LINGUAS))
GMO_FILES = $(patsubst %.po,$(LC_BUILD)/%/LC_MESSAGES/$(PACKAGE).mo,$(FILES))
MO_FILES = $(foreach po,$(FILES), $(INSTALL_DIR)/$(basename $(po))/LC_MESSAGES/$(PACKAGE).mo)
CLEANFILES = $(GMO_FILES)
EXTRA_DIST = Makefile $(FILES)
build_deps = $(addprefix -r:, $(DEPS))
build_sources = $(addprefix $(srcdir)/, $(FILES)) $(GENERATED_FILES)
build_resources = $(addprefix $(srcdir)/, $(RES))
build_test_sources = $(addprefix $(srcdir)/, $(TESTFILES)) $(GENERATED_FILES)
MD_BIN_PATH = $(abs_top_builddir)/build/bin
MD_LAUNCH_SETUP = \
	PATH="$(PATH)" \
	PKG_CONFIG_PATH="$(PKG_CONFIG_PATH)" \
	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH)" \
	DYLD_FALLBACK_LIBRARY_PATH="$(DYLD_FALLBACK_LIBRARY_PATH)" \
	MONO_GAC_PREFIX="$(MONO_GAC_PREFIX)" \
	MONODEVELOP_LOCALE_PATH="$(abs_top_builddir)/build/locale" \
	MONO_ADDINS_REGISTRY="$(MD_BIN_PATH)"

MDTOOL_RUN = $(MD_LAUNCH_SETUP) exec -a "mdtool" $(RUNTIME) --debug "$(MD_BIN_PATH)/mdtool.exe"
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign po/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign po/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \

=== external/monomac/samples/Makefile ===
MDTOOL=/Applications/MonoDevelop.app/Contents/MacOS/mdtool

XDIRS = \
	AnimatingViews 				\
	ButtonMadness 				\
	CAQuartzComposition 			\
	CoreAnimationBook/BackgroundFilteredView\
	CoreAnimationBook/CustomAnimationTiming \
	CoreAnimationBook/CustomizeAnimation 	\
	CoreAnimationBook/CustomizeAnimation2 	\
	CoreAnimationBook/FilteredView 		\
	CoreAnimationBook/GroupAnimation 	\
	CoreAnimationBook/KeyFrameMoveAView 	\
	CoreAnimationBook/LayerBackedControls 	\
	CoreAnimationBook/QCBackground 		\
	CoreAnimationBook/TimedAnimation 	\
	CoreAnimationBook/QCBackground		\
	CoreTextArcMonoMac			\
	CoreWLANWirelessManager			\
	DatePicker				\
	DockAppIcon				\
	DocumentSample				\
	DrawerMadness 				\
	Fire 				\
	GLFullScreen				\
	GLSLShader				\
	GlossyClock 				\
	ImageKitDemoStep1			\
	macdoc					\
	MonoMacGameWindow 				\
	NSTableViewBinding			\
	OpenGLLayer 				\
	OpenGLViewSample 			\
	OpenGL-NeHe/NeHeLesson1			\
	OpenGL-NeHe/NeHeLesson2			\
	OpenGL-NeHe/NeHeLesson3			\
	OpenGL-NeHe/NeHeLesson4			\
	OpenGL-NeHe/NeHeLesson5			\
	OpenGL-NeHe/NeHeLesson6			\
	OpenGL-NeHe/NeHeLesson7			\
	OpenGL-NeHe/NeHeLesson8			\
	OpenGL-NeHe/NeHeLesson9			\
	PredicateEditorSample 			\
	PopupBindings 				\
	QTRecorder				\
	RoundedTransparentWindow		\
	Rulers 					\
	SearchField 				\
	SkinnableApp				\
	StillMotion				\
	TwoMinuteGrowler			\
	VillainTracker 				\
	WhereIsMyMac

all:
	for i in $(XDIRS); do (cd $$i; $(MDTOOL) build); done
	(cd MicroSamples; make)

clean:
	-for i in $(DIRS); do (cd $$i; make clean); done
	-for i in $(XDIRS); do (cd $$i; rm -rf bin); done
	-(cd MicroSamples; rm -rf *.exe *.mdb)

=== external/monomac/src/Makefile ===
#
# Figure out if I want to use [New] or remove from contract
#
WARNINGS_I_SHOULD_FIX=114,108

MACCORE_DIR ?= ../../maccore

#
# CORE_SOURCES are source files that are written by hand
# and are linked with the generator
#

CORE_SOURCES =					\
	Constants.cs					\
	./AppKit/Enums.cs				\
	./AppKit/Defs.cs				\
	./Foundation/EnumDesktop.cs			\
	./Foundation/NSObject.cs			\
	./ImageKit/Enums.cs				\
	./ObjCRuntime/Class.cs				\
	./ObjCRuntime/Messaging.cs			\
	./ObjCRuntime/NativeConstructorBuilder.cs	\
	./ObjCRuntime/NativeImplementationBuilder.cs	\
	./ObjCRuntime/NativeMethodBuilder.cs		\
	./ObjCRuntime/MethodDescription.cs		\
	./ObjCRuntime/NSObjectMarshaler.cs		\
	./ObjCRuntime/SelectorMarshaler.cs		\
	./ObjCRuntime/Runtime.cs			\
	./ObjCRuntime/RequiredFrameworkAttribute.cs	\
	./ObjCRuntime/Selector.cs			\
	./PdfKit/Enums.cs				\
	./QTKit/Defs.cs					\
	./QTKit/Enums.cs				\
	./OpenGL/CGLEnums.cs				\
	./OpenGL/CGLContext.cs				\
	./OpenGL/CGLPixelFormat.cs			\
	./ScriptingBridge/Enums.cs			\
	./WebKit/Enums.cs

# Sources that are not part of CORE_SOURCES or the generated templates
MONOMAC_SOURCES = \
	./Foundation/NSObjectMac.cs			\
	./Foundation/NSSearchPath.cs		\
	./AppKit/ActionDispatcher.cs			\
	./AppKit/BeginSheet.cs				\
	./AppKit/DoubleWrapper.cs			\
	./AppKit/Functions.cs				\
	./AppKit/NSActionCell.cs			\
	./AppKit/NSApplication.cs			\
	./AppKit/NSApplicationDelegate.cs		\
	./AppKit/NSBitmapImageRep.cs			\
	./AppKit/NSButton.cs				\
	./AppKit/NSBezierPath.cs			\
	./AppKit/NSColor.cs				\
	./AppKit/NSControl.cs				\
	./AppKit/NSGradient.cs				\
	./AppKit/NSGraphics.cs				\
	./AppKit/NSImage.cs				\
	./AppKit/NSLevelIndicator.cs			\
	./AppKit/NSMatrix.cs				\
	./AppKit/NSMenu.cs				\
	./AppKit/NSMenuItem.cs				\
	./AppKit/NSOpenGLContext.cs			\
	./AppKit/NSOpenGLPixelFormat.cs			\
	./AppKit/NSPopUpButton.cs			\
	./AppKit/NSPopUpButtonCell.cs			\
	./AppKit/NSSegmentedControl.cs			\
	./AppKit/NSTableView.cs				\
	./AppKit/NSWindow.cs				\
	./CoreVideo/CVDisplayLink.cs			\
	./Growl/Constants.cs				\
	./QTKit/QTCaptureDevice.cs			\
	./QTKit/QTMovie.cs				\
	./WebKit/DomNode.cs				\
	./WebKit/Enumerators.cs				\
	./WebKit/Indexers.cs				\
	./WebKit/WebKit.cs				\
	./WebKit/WebView.cs				\
	./OpenGL/FrameEventArgs.cs			\
	./OpenGL/IGameWindow.cs				\
	./OpenGL/INativeWindow.cs			\
	./OpenGL/WindowBorder.cs			\
	./OpenGL/WindowState.cs				\
	./OpenGL/MonoMacGameView.cs			\
	./Security/Authorization.cs

OPENTK_SOURCES = \
	./OpenGL/OpenTK/Graphics/Color4.cs		\
	./OpenGL/OpenTK/Graphics/OpenGL/GL.cs		\
	./OpenGL/OpenTK/Graphics/OpenGL/GLCore.cs	\
	./OpenGL/OpenTK/Graphics/OpenGL/GLEnums.cs	\
	./OpenGL/OpenTK/Graphics/OpenGL/GLHelper.cs	\
	./OpenGL/OpenTK/Audio/ContextHandle.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/AL/ALEnums.cs	\
	./OpenGL/OpenTK/Audio/BlittableValueType.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/AL/AL.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/Alc/AlcEnums.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/Alc/Alc.cs	\
	./OpenGL/OpenTK/Math/Half.cs			\
	./OpenGL/OpenTK/Math/MathHelper.cs		\
	./OpenGL/OpenTK/Math/Matrix3d.cs		\
	./OpenGL/OpenTK/Math/Matrix4.cs			\
	./OpenGL/OpenTK/Math/Matrix4d.cs		\
	./OpenGL/OpenTK/Math/Quaternion.cs		\
	./OpenGL/OpenTK/Math/Quaterniond.cs		\
	./OpenGL/OpenTK/Math/Vector2.cs			\
	./OpenGL/OpenTK/Math/Vector2d.cs		\
	./OpenGL/OpenTK/Math/Vector2h.cs		\
	./OpenGL/OpenTK/Math/Vector3.cs			\
	./OpenGL/OpenTK/Math/Vector3d.cs		\
	./OpenGL/OpenTK/Math/Vector3h.cs		\
	./OpenGL/OpenTK/Math/Vector4.cs			\
	./OpenGL/OpenTK/Math/Vector4d.cs		\
	./OpenGL/OpenTK/Math/Vector4h.cs

GENERATOR_SOURCES = \
	$(MACCORE_DIR)/src/generator.cs			\
	$(MACCORE_DIR)/src/Options.cs			\
	$(MACCORE_DIR)/src/btouch.cs

SOURCES = \
	$(CORE_SOURCES)

DEFINES = -define:NET_2_0

TARGETS = _bmac.exe MonoMac.dll  parse.exe bmac.exe

include Make.shared

SHARED_API = \
	./avfoundation.cs	\
	./foundation.cs		\
	./coreanimation.cs	\
	./coredata.cs		\
	./coreimage.cs		\
	./coremidi.cs		\
	./corelocation.cs	\
	./quicklook.cs

SHARED_SOURCES = $(patsubst %,$(MACCORE_DIR)/src/%,$(SHARED_SOURCE))
SHARED_CORE_SOURCES = $(patsubst %,$(MACCORE_DIR)/src/%,$(SHARED_CORE_SOURCE))
SHARED_APIS = $(patsubst %,$(MACCORE_DIR)/src/%,$(SHARED_API))

APIS = \
	appkit.cs		\
	corewlan.cs		\
	foundation-desktop.cs 	\
	growl.cs		\
	imagekit.cs		\
	qtkit.cs		\
	pdfkit.cs		\
	webkit.cs		\
	composer.cs		\
	scriptingbridge.cs		\
	$(SHARED_APIS)

all: $(TARGETS)

parse.exe: parse.cs $(MACCORE_DIR)/src/Options.cs
	gmcs parse.cs $(MACCORE_DIR)/src/Options.cs

core.dll: $(CORE_SOURCES) $(SHARED_CORE_SOURCES) Makefile
	gmcs -target:library -debug -unsafe -out:core.dll -define:MONOMAC,MONOMAC_BOOTSTRAP,COREBUILD $(CORE_SOURCES) $(SHARED_CORE_SOURCES) -r:System.Drawing

_bmac.exe: $(APIS) core.dll $(GENERATOR_SOURCES)
	gmcs -unsafe -out:_bmac.exe -debug $(DEFINES) -define:GENERATOR,MONOMAC,MONOMAC_BOOTSTRAP $(GENERATOR_SOURCES) -r:core.dll -r:System.Drawing

generated_sources: _bmac.exe $(APIS) 
	mono --debug _bmac.exe -a -d=MONOMAC --core --sourceonly=generated_sources -v -tmpdir=. $(APIS) --baselib=core.dll --ns=MonoMac.ObjCRuntime -r=System.Drawing

bmac.exe: MonoMac.dll $(GENERATOR_SOURCES)
	gmcs -unsafe -out:bmac.exe -debug $(DEFINES) -define:GENERATOR,MONOMAC,MONOMAC_BOOTSTRAP $(GENERATOR_SOURCES) -r:MonoMac.dll -r:System.Drawing

count: 
	make pass | wc -l

counts:
	make pass | grep 'could not be' | sed 's/.*`//' | sed "s/'.*//" | sort | uniq -c | sort -n

MonoMac.dll: $(SOURCES) generated_sources $(MONOMAC_SOURCES) $(SHARED_SOURCES) $(SHARED_CORE_SOURCES) $(OPENTK_SOURCES)
	gmcs -define:OBJECT_REF_TRACKING -nowarn:3021,0219,0414,$(WARNINGS_I_SHOULD_FIX) -debug -unsafe $(SOURCES) @generated_sources $(MONOMAC_SOURCES) $(SHARED_SOURCES) $(SHARED_CORE_SOURCES) $(OPENTK_SOURCES) -target:library -define:MONOMAC -out:MonoMac.dll -r:System.Drawing

clean:
	rm -f $(TARGETS) core.dll

all: MonoMac.dll

update: MonoMac.dll
	cp MonoMac.dll* ~/.config/MonoDevelop/addins/MonoDevelop.MonoMac.2.4.*/

#
# Pushes this to the MonoDevelop source code repo
#
push-to-monodevelop: MonoMac.dll
	cp MonoMac.dll* /cvs/md/monodevelop/extras/MonoDevelop.MonoMac/MonoDevelop.MonoMac

#
# Pushes the assembly to the system MonoDevelop, for testing
#
upgrade-monodevelop: MonoMac.dll
	cp MonoMac.dll* /Applications/MonoDevelop.app/Contents/MacOS//lib/monodevelop/AddIns/MonoDevelop.MonoMac/

=== external/ngit/gen/Makefile ===
include config.make

SHARPEN=$(prefix)/sharpen.sh

JAVA_PATCH=$(prefix)/java.patch
CS_PATCH=$(prefix)/cs.patch

JGIT_GIT_REPO = git://git.eclipse.org/gitroot/jgit/jgit.git
JGIT_DIR = source
JGIT_SOURCE = $(JGIT_DIR)/README
JGIT_GIT = @cd $(JGIT_DIR) && git

NGIT_DIR = generated
NGIT_GIT = @cd $(NGIT_DIR) && git

JSCH_SOURCE = $(JGIT_DIR)/jsch/README
JSCH_RELEASE = 0.1.46
JSCH_URL = http://freefr.dl.sourceforge.net/project/jsch/jsch/$(JSCH_RELEASE)/jsch-$(JSCH_RELEASE).zip

JZLIB_SOURCE = $(JGIT_DIR)/jzlib
JZLIB_RELEASE = 1.0.7
JZLIB_URL = http://www.jcraft.com/jzlib/jzlib-$(JZLIB_RELEASE).zip

BIN_PATH=$(prefix)/bin

SB=\033[1m
EB=\033[m

$(JZLIB_SOURCE):
	@echo -e "$(SB)Getting JZlib sources$(EB)"
	curl --remote-name $(JZLIB_URL)
	@echo -e "$(SB)Unpacking JZlib$(EB)"
	rm -rf jzlib-$(JZLIB_RELEASE)
	unzip jzlib-$(JZLIB_RELEASE).zip
	rm -rf jzlib-$(JZLIB_RELEASE).zip
	mkdir -p $(JGIT_DIR)
	mv jzlib-$(JZLIB_RELEASE) $(JGIT_DIR)/jzlib
	mkdir -p $(JGIT_DIR)/jzlib/src
	mv $(JGIT_DIR)/jzlib/com $(JGIT_DIR)/jzlib/src
	@echo -e "$(SB)Building JZlib$(EB)"
	find $(JGIT_DIR)/jzlib/src -name *.java > resp
	mkdir -p $(BIN_PATH)
	javac @resp -d $(BIN_PATH)
	
$(JSCH_SOURCE):
	@echo -e "$(SB)Getting JSch sources$(EB)"
	rm -rf jsch-$(JSCH_RELEASE)
	curl --remote-name $(JSCH_URL)
	@echo -e "$(SB)Unpacking JSch$(EB)"
	unzip jsch-$(JSCH_RELEASE).zip
	rm -rf jsch-$(JSCH_RELEASE).zip
	mkdir -p $(JGIT_DIR)/jsch
	mv jsch-$(JSCH_RELEASE)/* $(JGIT_DIR)/jsch
	# Move the java source so the directory structure matches the package name
	# This ensures that sharpen does not go crazy and break when doing the conversion
	mv $(JGIT_DIR)/jsch/src/main/java/* $(JGIT_DIR)/jsch/src
	rm -rf jsch-$(JSCH_RELEASE)
	@echo -e "$(SB)Building JSch$(EB)"
	find $(JGIT_DIR)/jsch/src -name *.java > resp
	mkdir -p $(BIN_PATH)
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH)

$(JGIT_SOURCE):
	@echo -e "$(SB)Getting jgit sources$(EB)"
	mkdir -p $(JGIT_DIR)
	git clone $(JGIT_GIT_REPO) $(JGIT_DIR)
	

# The steps for fetching are:
# - Fetch changes from git
# - Checkout the last version we generated
# - Generate all code for that last version. This code is the starting point for merging changes in the new code

fetch: $(JGIT_SOURCE) $(JZLIB_SOURCE) $(JSCH_SOURCE)
	@echo -e "$(SB)Pulling git sources$(EB)"
	$(JGIT_GIT) reset --hard
	$(JGIT_GIT) checkout master
	$(JGIT_GIT) pull origin
	@echo -e "$(SB)Applying previous java patch$(EB)"
	$(JGIT_GIT) checkout `cat ../lastrev`
	rm -rf $(NGIT_DIR)
	patch -s -d $(JGIT_DIR) -p1 < $(JAVA_PATCH)
	@echo -e "$(SB)Building jgit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH)
	@echo -e "$(SB)Building jgit.junit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit.junit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH):$(NUNIT_JAR)
	@echo -e "$(SB)Generating code for jzlib$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jzlib jzlib src sharpen-options $(NGIT_DIR)/NSch jzlib.header
	@echo -e "$(SB)Generating code for jsch$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jsch jsch src sharpen-options $(NGIT_DIR)/NSch jsch.header
	@echo -e "$(SB)Generating code for jgit (previous revision)$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit org.eclipse.jgit src sharpen-options $(NGIT_DIR)/NGit jgit.header
	@echo -e "$(SB)Generating code for jgit.nunit (previous revision)$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.junit org.eclipse.jgit.junit src sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	@echo -e "$(SB)Generating code for jgit.test (previous revision)$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.test org.eclipse.jgit.test tst sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	# Convert the generated code into git repos
	git init $(NGIT_DIR)
	$(NGIT_GIT) add . && git commit -a -m "Initial commit"
	@echo "Done."

merge:
	$(JGIT_GIT) reset --hard
	$(JGIT_GIT) checkout master
	@echo -e "$(SB)Building jgit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH)
	@echo -e "$(SB)Building jgit.junit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit.junit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH):$(NUNIT_JAR)
	@echo -e "$(SB)Applying java patch$(EB)"
	$(JGIT_GIT) branch -D merged 2> /dev/null || true
	$(JGIT_GIT) checkout -b merged `cat ../lastrev`
	patch -d $(JGIT_DIR) -p1 < $(JAVA_PATCH)
	$(JGIT_GIT) commit -a -m "Merge"
	@echo -e "$(SB)Merging new changes$(EB)"
	@echo -e "$(SB)In case of merge conflict, cd to the $(JGIT_DIR) directory, resolve the conflics and use 'git rebase --continue' to finish$(EB)"
	$(JGIT_GIT) rebase master

pull: fetch merge

validate-pull:
	# Generate a new patch
	$(JGIT_GIT) checkout merged
	$(JGIT_GIT) diff master > $(JAVA_PATCH)
	$(JGIT_GIT) reset --hard
	$(JGIT_GIT) checkout master
	$(JGIT_GIT) log -1 --format=format:%H master > ../lastrev

convert: validate-pull
	@echo -e "$(SB)Prepare git directories$(EB)"
	$(NGIT_GIT) reset --hard
	$(JGIT_GIT) checkout merged
	rm -rf source/org.eclipse.jgit.test/tst/org/eclipse/jgit/nls/RootLocaleTest.java
	$(NGIT_GIT) reset --hard
	$(NGIT_GIT) checkout master
	$(NGIT_GIT) branch -D last 2> /dev/null || true
	$(NGIT_GIT) checkout -b last
	@echo -e "$(SB)Generating code for jzlib$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jzlib jzlib src sharpen-options $(NGIT_DIR)/NSch jzlib.header
	@echo -e "$(SB)Generating code for jsch$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jsch jsch src sharpen-options $(NGIT_DIR)/NSch jsch.header
	@echo -e "$(SB)Generating code for jgit$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit org.eclipse.jgit src sharpen-options $(NGIT_DIR)/NGit jgit.header
	@echo -e "$(SB)Generating code for jgit.jnunit$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.junit org.eclipse.jgit.junit src sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	@echo -e "$(SB)Generating code for jgit.test$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.test org.eclipse.jgit.test tst sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	$(NGIT_GIT) add .
	$(NGIT_GIT) commit -a -m "New code" || true
	@echo -e "$(SB)Applying old patch$(EB)"
	$(NGIT_GIT) branch -D merged 2> /dev/null || true
	$(NGIT_GIT) checkout -b merged master
	patch -d $(NGIT_DIR) -p1 < $(CS_PATCH) || true
	$(NGIT_GIT) commit -a -m "Merge"
	@echo -e "$(SB)Merging new changes$(EB)"
	@echo -e "$(SB)In case of merge conflict, cd to the $(NGIT_DIR) directory, resolve the conflics and use 'git rebase --continue' to finish$(EB)"
	$(NGIT_GIT) rebase last

validate-convert:
	# update the patch
	$(NGIT_GIT) checkout merged
	$(NGIT_GIT) diff last > $(CS_PATCH)
	$(NGIT_GIT) reset --hard
	# update the master branch to last
	$(NGIT_GIT) checkout last
	$(NGIT_GIT) branch -D master 2> /dev/null || true
	$(NGIT_GIT) checkout -b master
	$(NGIT_GIT) checkout merged

import: validate-convert
	cp -r $(NGIT_DIR)/* ..
	cp $(JGIT_DIR)/org.eclipse.jgit/resources/org/eclipse/jgit/internal/JGitText.properties ../NGit/resources
	rm -rf ../NGit/.git
	rm -rf ../NGit.Test/.git
	rm -rf ../NGit.NSch/.git

update-source:
	$(NGIT_GIT) checkout merged
	cd ../NGit && find . -type f -name '*.cs' -exec cp {} $(prefix)/generated/NGit/{} \;
	cd ../NGit.Test && find . -type f -name '*.cs' -exec cp {} $(prefix)/generated/NGit.Test/{} \;
	cd ../NSch && find . -type f -name '*.cs' \! -path '*Sharpen*' -exec cp {} $(prefix)/generated/NSch/{} \;
	
update-patch: update-source validate-convert


commit:
	git show master:gen/lastrev > prevrev
	echo "Updated from JGit" > msg
	$(JGIT_GIT) log "--format=format:----------------------------------------------------%nJGit commit %H%n%B" `cat $(prefix)/prevrev`..`cat $(prefix)/lastrev` >> $(prefix)/msg
	git commit -a -F msg

=== external/monomac/samples/macdoc/Makefile ===
CC = gcc
MDTOOL = /Applications/MonoDevelop.app/Contents/MacOS/mdtool
MDTOOL_BUILD = $(MDTOOL) build
MONO_MAC_DLL = ../../src/MonoMac.dll
APPLEDOCWIZARD_APP = AppleDocWizard/bin/Debug/AppleDocWizard.app
MACDOC_APP = bin/Debug/macdoc.app
MONODOC_APP = $(dir $(MACDOC_APP))/MonoDoc.app
MONODOC_ARCHIVE = MonoDoc.tar.bz2

all: monomac monostub appledocwizard macdoc monodoc

monomac: $(MONO_MAC_DLL)

appledocwizard: monomac monostub
	rm -Rf $(APPLEDOCWIZARD_APP)
	(cd AppleDocWizard && $(MDTOOL_BUILD))
	cp monostub $(APPLEDOCWIZARD_APP)/Contents/MacOS/AppleDocWizard
	rm -f $(APPLEDOCWIZARD_APP)/AppleDocWizard
	rm -f $(APPLEDOCWIZARD_APP)/Contents/MacOS/mono-version-check
	if test ! -e $(APPLEDOCWIZARD_APP)/Contents/Resources/MonoMac.dll; then cp $(MONO_MAC_DLL)* $(APPLEDOCWIZARD_APP)/Contents/Resources/; fi;

#macdoc: monomac appledocwizard monostub
macdoc: monomac monostub
	rm -Rf $(MACDOC_APP)
	$(MDTOOL_BUILD)
	cp monostub $(MACDOC_APP)/Contents/MacOS/macdoc
	rm -f $(MACDOC_APP)/macdoc
	rm -f $(MACDOC_APP)/Contents/MacOS/mono-version-check
#	cp -R $(APPLEDOCWIZARD_APP) $(MACDOC_APP)/Contents/MacOS/

monodoc: macdoc
	rm -Rf $(MONODOC_APP)
	cp -R $(MACDOC_APP) $(MONODOC_APP)

dist: monodoc
	(cd $(dir $(MONODOC_APP)) && rm -f $(MONODOC_ARCHIVE) && tar -cjf $(MONODOC_ARCHIVE) $(notdir $(MONODOC_APP)))

$(MONO_MAC_DLL):
	(cd ../../src/ && make)

monostub: monostub.m
	$(CC) -m32 $^ -o $@ -framework AppKit -D_GNU_SOURCE

=== debian/changelog ===
monodevelop (3.0.3.2+dfsg-1build1) quantal; urgency=low

  * No-change rebuild against metacity 2.34.3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Aug 2012 01:27:38 -0400

monodevelop (3.0.3.2+dfsg-1) unstable; urgency=low

  * [3fd89ae] Imported Upstream version 3.0.3.2+dfsg
  * [379a680] Remove old patches we haven't used for ages from git.
  * [d71161d] Remove correct_paths_in_monodevelop-core-addins.pc.patch.
    Upstream claim to have fixed this by moving assembly install locations.
  * [15dbfb9] Fix install location for MonoDevelop.Gettext.dll.config.
  * [26eb434] Fix install location for MonoDevelop.SourceEditor2.dll.config.
  * [4169974] Upstream commit 53282c9 which finally reconciles the 
    MonoDevelop.Gettext.dll install location with the 
    monodevelop-core-addins.pc location.

 -- Jo Shields <directhex@apebox.org>  Fri, 22 Jun 2012 20:35:35 +0100

monodevelop (3.0.2+dfsg-3) unstable; urgency=low

  * [fcecfe7] Fix monodevelop-core-addins.pc.in to point to actual 
    installed location of assemblies.
  * [26e1a07] DebSrc 3.0 does not support Quilt's -p parameter, so 
    manually adjust the path in the patch file.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 18:08:20 +0100

monodevelop (3.0.2+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 17:02:55 +0100

monodevelop (3.0.2+dfsg-1) experimental; urgency=low

  * [d9ae4b4] Imported Upstream version 3.0.1+dfsg
  * [a5fbc35] Remove obsolete downstream port to NUnit 2.5, upstream now
     requires 2.6.
  * [9be4510] Remove patch to make 4.0 profile the default - it is now 
    the default upstream.
  * [c0e5c81] Remove obsolete patch to use our downstream mono-csc 
    compiler command for contrib libs.
  * [d225eb7] Moonlight is dead, so remove our patch to disable support.
  * [9597e12] Remove patch to generate Automake 1.11.2-compatible 
    makefiles, this has been accepted upstream.
  * [4850e5b] Delete more things in get-orig-source, since upstream has 
    accidentally left more things in the source.
  * [17080f3] Imported Upstream version 3.0.2+dfsg
  * [a3e11b8] Remove bitrotted addins from Suggests.

 -- Jo Shields <directhex@apebox.org>  Sat, 26 May 2012 21:36:22 +0100

=== debian/control ===
Source: monodevelop
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: autoconf,
                     automake,
                     autotools-dev,
                     cli-common-dev (>= 0.8~),
                     desktop-file-utils,
                     dh-autoreconf,
                     gtk-sharp2-gapi (>= 2.12.8),
                     intltool,
                     libapr1-dev,
                     libgconf2.0-cil-dev,
                     libglade2.0-cil-dev,
                     libgnome2.0-cil-dev,
                     libgtk2.0-cil-dev,
                     libgtkspell-dev,
                     libmetacity-dev,
                     libmono-addins-cil-dev (>= 0.6),
                     libmono-addins-gui-cil-dev (>= 0.6),
                     libmono-cecil-cil-dev,
                     libnunit-cil-dev (>= 2.6),
                     libsvn-dev,
                     mono-devel (>= 2.10),
                     mono-gmcs,
                     monodoc-base (>= 1.1.9)
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/monodevelop.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/monodevelop.git

Package: monodevelop
Architecture: all
Suggests: exuberant-ctags,
          gcc,
          gettext,
          make,
          mono-vbnc,
          mono-xsp | mono-xsp4,
          monodevelop-database,
          monodevelop-debugger-gdb,
          monodevelop-nunit,
          monodevelop-versioncontrol,
          monodoc-browser,
          zip
Recommends: libglade2.0-cil-dev, libgtk2.0-cil-dev, mono-devel
Depends: gnome-icon-theme (>= 1.1.3),
         monodoc-manual (>= 1.1.9),
         pkg-config,
         xterm | x-terminal-emulator,
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: monodoc-viewer
Description: Development Environment for GNOME
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 It supports the following languages: C, C++, C# (1.0, 2.0 and 3.0), Vala, Boo,
 Java, Nemerle, ILasm, ASP.NET and VB.NET.
 .
 Features: Debugger Integration (Mono Debugger and GNU Debugger),
 Class Browser, Assembly Browser, Built-in Help, Monodoc Integration,
 Code Completion (also known as IntelliSense), Code Folding, Color Schemes,
 Code Refactoring, On-the-fly error underlining, XML Editing, Embedded HTML
 viewer, Gettext support, GTK# Designer, MSBuild project support and
 Makefile Generation.

Package: monodevelop-nunit
Architecture: all
Depends: monodevelop (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: NUnit plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables NUnit integration for MonoDevelop.

Package: monodevelop-versioncontrol
Architecture: all
Replaces: monodevelop (<< 0.13.1)
Depends: monodevelop (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: VersionControl plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables version control integration (currently only Subversion)
 for MonoDevelop.

#Package: monodevelop-moonlight
#Architecture: all
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         ${cli:Depends},
#         monodevelop (= ${source:Version}),
#         moonlight-web-devel
#Description: Moonlight plugin for MonoDevelop
# MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
# languages.
# .
# This package enables Moonlight developnment with MonoDevelop.
